找不到****。apk + android

每当我试图运行我的项目,我在控制台中得到这个错误。 “找不到* * .apk”

操作系统:Windows XP

IDE:Eclipse SDK版本:3.4.2生成ID:M20090211-1700

Android:1.6

ADT:ADT 10.0.0

供参考:只有一个项目,其他项目运行良好..

Solutions Collecting From Web of "找不到****。apk + android"

我认为这可能发生在从依赖项目下面重新命名库项目时。 Eclipse在大多数情况下更新依赖关系是相当不错的,但这个看起来很脆弱。

首先尝试删除,然后在Project> Properties> Android> Library中重新添加库。

如果这不起作用,请尝试清理项目,退出Eclipse,然后在项目的根目录中打开“.classpath”文件。 如果您看到一行以前一个名称引用您的库项目,只需删除它,保存该文件并重新启动Eclipse。 build立图书馆项目,然后build立你的依赖项目。 您可能需要像上面提到的那样重新添加库。 这至less对我来说是有效的。

编辑说明:我也在我的.project文件中发现了一些陈旧的引用。 他们似乎没有造成任何问题,但我也删除了他们。 如果你这样做,一定要search该文件中的旧名称,因为有一个完整的“链接”部分附近的底部,也引用它。

确保在更新你的android sdk sdk构build工具后,正确更新。 您可以通过打开sdkpipe理器来检查它 – 必须安装“Android Sdk Build Tools”状态。 如果状态没有安装,则安装相同的Android Sdk Build Tools。

重新启动你的Eclipse并重试

检查这可能对你有帮助

确保您的项目正确导入了Android 1.6库。 也就是说,在您的项目下,您应该看到“Android 1.6”,它将展开并显示“android.jar”。

如果它指出Referenced Libraries> android.jar,则需要手动修改项目的.classpath来解决这个问题。

打开该项目的.classpath并键入以下内容:

重要的一行是第三个classpatterntry,它是Android SDK库的实际链接。

资源

清理你的项目并检查。 日食不是build立apk文件。

检查这个线程。 它可能会帮助你。

http://groups.google.com/group/android-developers/browse_thread/thread/2c3e45540b915945/f06e10bcda3ad68b?lnk=raot&pli=1

以pipe理员身份运行eclipse,然后导入你的项目

更新Android SDK,对我来说是什么。

我正在用LibGdx框架构build一个游戏,并得到了同样的错误。 我尝试了来自各种post在stackoverflow和其他人的几个解决scheme。

在LibGdx论坛的post中find帮助:

http://www.badlogicgames.com/wordpress/?p=3010发表马里奥,在2013年5月18日

刚刚更新到ADT 22,所以你应该。 然而,这个过程并不顺利。 你需要做什么:

  • 在Eclipse中更新ADT插件(帮助 – >检查更新)
  • 从Eclipse内部或Android SDK文件夹中打开Android SDK Manager
  • 获取所有更新
  • 再次获取所有更新
  • 再次获取更新…

最终的结果应该是一个更新的ADT插件,以及最新的SDK包。 请确保您拥有以下图片中的全部三个版本号。

我只需要更新一次,然后从那里开始工作。 即使这个post已经过时,我想我会分享这个,因为我失去了一天没有发现。

我也遇到过这个问题,当我创build一个使用android库的android项目。 很明显,我不知道如何将一个库合并到一个正确的方式。 我错误地使用了项目依赖项(Java Build Path / projects)或添加了一个库(Java Build Path / Libraries)。 虽然我所要做的只是去Android选项卡,并通过从库部分添加button导入我的android库。

我正在使用PhoneGap,并检查了几个有关configuration(属性,构buildpath)的解决scheme。 不过,我的问题是我试图用Eclipse的默认设置来运行所有的东西。 然后,我解决了它去SDK经理安装:Android SDK构build工具,它的工作。

我是由这个问题引起的(ADT和SDK之间不兼容),因此得到了修正:

  • Eclipse>帮助
  • 安装新软件
  • 将“ https://dl-ssl.google.com/android/eclipse/ ”添加到“处理”部分,然后按Enter键
  • 开发人员工具出现在列表中后,选中它并单击下一步
  • 下载完成后重新启动eclipse

确保把正确的SDK位置(我有2个SDK的实例和更新错误一次)。